Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChatAction

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatAction

Direct Known Subclasses:
  `TdApi.ChatActionCancel`, `TdApi.ChatActionChoosingContact`, `TdApi.ChatActionChoosingLocation`, `TdApi.ChatActionChoosingSticker`, `TdApi.ChatActionRecordingVideo`, `TdApi.ChatActionRecordingVideoNote`, `TdApi.ChatActionRecordingVoiceNote`, `TdApi.ChatActionStartPlayingGame`, `TdApi.ChatActionTyping`, `TdApi.ChatActionUploadingDocument`, `TdApi.ChatActionUploadingPhoto`, `TdApi.ChatActionUploadingVideo`, `TdApi.ChatActionUploadingVideoNote`, `TdApi.ChatActionUploadingVoiceNote`, `TdApi.ChatActionWatchingAnimations`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.ChatAction extends TdApi.Object permits TdApi.ChatActionTyping, TdApi.ChatActionRecordingVideo, TdApi.ChatActionUploadingVideo, TdApi.ChatActionRecordingVoiceNote, TdApi.ChatActionUploadingVoiceNote, TdApi.ChatActionUploadingPhoto, TdApi.ChatActionUploadingDocument, TdApi.ChatActionChoosingSticker, TdApi.ChatActionChoosingLocation, TdApi.ChatActionChoosingContact, TdApi.ChatActionStartPlayingGame, TdApi.ChatActionRecordingVideoNote, TdApi.ChatActionUploadingVideoNote, TdApi.ChatActionWatchingAnimations, TdApi.ChatActionCancel
This class is an abstract base class. Describes the different types of activity in a chat.

## Constructor Summary

Constructors
Constructor
Description
`ChatAction()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ChatAction

public ChatAction()
Default class constructor.